vue2.X + vue-cli2 做的项目无法在IE11运行,救命!!

MADAO
  • 1
新手上路,请多包涵

经过2天的摸索还是找不到原因与解决办法,只好向大佬求助
imageie控制台,这里连DOM都没有解析出来
main.jsmain.js首行已经引入babel-polyfill
webpack.base.jswebpack.base.config.js
packjsonpackjson
babelrcbabelrc

目前搜索到的解决办法都是使用babel-polyfill,已经根据各种帖子经过尝试都无法解决

回复
阅读 1.2k
5 个回答

你先用vue-cli2创建一个空白项目,做一遍兼容处理后,看报错,如果有效,说明是部分npm包没有转成功,逐个排除

你得把报错的行点出来再来提问

语法错误,需要指定babel的编译目标,配置package.json中的browerslist字段,把ie11加上。

polyfill的作用是补全浏览器缺少的api,Array.prototy.reduce之类的。
语法转换是另一回事。

A无能*为力
  • 1
新手上路,请多包涵

兄弟解决了吗,遇到额同样的问题 崩溃

宣传栏